import { Routes, Route } from 'react-router-dom';

import { Solution as KnapsackSolution } from './features/knapsack/solution.js';
import { Solution as WrappingSolution } from './features/wrapping/solution.js';

export function App() {
  const page =
    <>
      <h1>Knapsack Problem</h1>
      <KnapsackSolution />
      <h1>Wrapping Problem</h1>
      <WrappingSolution />
    </>;
  return (
    <Routes>
      <Route path={'/*'} element={page} />
    </Routes>
  );
}
