import React from 'react';
import { createRoot } from 'react-dom/client';
import { HashRouter as Router } from 'react-router-dom';

import { App } from './app.js';

import './index.css';

createRoot(document.getElementById('root')).render(
  <React.StrictMode>
    <Router>
      <div id="portrait">
        <App />
      </div>
    </Router>
  </React.StrictMode>,
);
